# Filesystem DDL for MySQL

# Author: Mark A. Richman <mark@empsoft.com>

#
# Current Database: filesystem
#

CREATE DATABASE IF NOT EXISTS filesystem;

USE filesystem;

#
# Table structure for table 'principal'
#

CREATE TABLE principal (
  id int(11) NOT NULL auto_increment,
  username varchar(32) NOT NULL default '',
  password varchar(32) default '',
  homedir varchar(255) NOT NULL default '',
  PRIMARY KEY (id),
  UNIQUE KEY username (username)  
) TYPE=MyISAM;

#
# Dumping data for table 'principal'
#

INSERT INTO principal VALUES (1,'markr','Jsdh8qSD','c:/users/markr');
INSERT INTO principal VALUES (2,'johns','iJ823hdV','c:/users/johns');
INSERT INTO principal VALUES (3,'linust','js89PndVs','c:/users/linust');
INSERT INTO principal VALUES (4,'larryw','58Jnfjh4g','c:/users/larryw');

#
# Table structure for table 'principal_webservice_map'
#

CREATE TABLE principal_webservice_map (
  p_id int(11) NOT NULL default '0',
  ws_id int(11) NOT NULL default '0',
  PRIMARY KEY  (p_id,ws_id)
) TYPE=MyISAM;

INSERT INTO principal_webservice_map VALUES (1,1);
INSERT INTO principal_webservice_map VALUES (1,2);
INSERT INTO principal_webservice_map VALUES (1,3);
INSERT INTO principal_webservice_map VALUES (1,4);
INSERT INTO principal_webservice_map VALUES (1,5);
INSERT INTO principal_webservice_map VALUES (1,6);
INSERT INTO principal_webservice_map VALUES (1,7);
INSERT INTO principal_webservice_map VALUES (1,8);
INSERT INTO principal_webservice_map VALUES (1,9);
INSERT INTO principal_webservice_map VALUES (1,10);
INSERT INTO principal_webservice_map VALUES (1,11);
INSERT INTO principal_webservice_map VALUES (2,1);
INSERT INTO principal_webservice_map VALUES (2,4);
INSERT INTO principal_webservice_map VALUES (2,7);
INSERT INTO principal_webservice_map VALUES (2,11);
INSERT INTO principal_webservice_map VALUES (3,1);
INSERT INTO principal_webservice_map VALUES (3,5);
INSERT INTO principal_webservice_map VALUES (3,9);
INSERT INTO principal_webservice_map VALUES (4,1);
INSERT INTO principal_webservice_map VALUES (4,2);
INSERT INTO principal_webservice_map VALUES (4,4);
INSERT INTO principal_webservice_map VALUES (4,7);
INSERT INTO principal_webservice_map VALUES (4,11);


#
# Table structure for table 'webservice'
#

CREATE TABLE webservice (
  id int(11) NOT NULL auto_increment,
  uri varchar(64) NOT NULL default '',
  PRIMARY KEY  (id,uri)
) TYPE=MyISAM;

#
# Dumping data for table 'webservice'
#

INSERT INTO webservice VALUES (1,'urn:filesystem');
INSERT INTO webservice VALUES (2,'urn:AddressFetcher');
INSERT INTO webservice VALUES (3,'urn:AddressFetcher2');
INSERT INTO webservice VALUES (4,'urn:xml-soap-demo-calculator');
INSERT INTO webservice VALUES (5,'urn:sum-COM');
INSERT INTO webservice VALUES (6,'urn:adder-COM');
INSERT INTO webservice VALUES (7,'urn:po-processor');
INSERT INTO webservice VALUES (8,'urn:mimetestprocessor');
INSERT INTO webservice VALUES (9,'urn:mimetest');
INSERT INTO webservice VALUES (10,'urn:xmltoday-delayed-quotes');
INSERT INTO webservice VALUES (11,'urn:ejbhello');
INSERT INTO webservice VALUES (12,'urn:soap-unauthorized');

