
package com.organizedCampgrounds;

import java.io.*;
import java.net.*;

    public class Client { 
      public static void main( String[] args ) throws Exception { 
        /*
         * Define the location where the campground may be found and
         * the identifier for the campground object.
         */
        com.organizedCampgrounds.proxy.CampgroundProxy campground = 
          new com.organizedCampgrounds.proxy.CampgroundProxy();
        campground.setEndPoint(new URL("http://localhost:8080/soap/servlet/rpcrouter")); 
        
        System.out.println("Price: " + 
          campground.computePrice(Integer.parseInt(args[0])));
        int nCampsites=campground.getNumberOfCampsites();
        for(int i=0; i<nCampsites; i++){
          Campsite campsite = campground.getCampsite(i);
          System.out.println( "Campsite " + i + ": " + campsite.getDescription() + "\n Size: " +
                  campsite.getSize() + " square feet, Shade(1-10):  " + campsite.getShade()); 
        }
        System.out.println("Choose campsite: " );
        BufferedReader keyboardInput =
           new BufferedReader(new InputStreamReader(System.in));
        String site = keyboardInput.readLine();
        if (site.length() > 0){
          boolean success = campground.reserveCampsite(Integer.parseInt(args[0]), 
             Integer.parseInt(site), "Derek");
          System.out.println("Success: " + success);
        }
      } 
    } 


