
package com.organizedCampgrounds.proxy;

import java.net.*;
import java.util.*;
import org.apache.soap.*;
import org.apache.soap.encoding.*;
import org.apache.soap.rpc.*;
import org.apache.soap.util.xml.*;

public class CampgroundProxy
{
  private Call call = new Call();
  private URL url = null;
  private String SOAPActionURI = "";
  private SOAPMappingRegistry smr = call.getSOAPMappingRegistry();

  public CampgroundProxy() throws MalformedURLException
  {
    call.setTargetObjectURI("urn:Campground");
    call.setEncodingStyleURI("http://schemas.xmlsoap.org/soap/encoding/");
    this.url = new URL("http://localhost:8090/soap/servlet/rpcrouter");
    this.SOAPActionURI = "urn:Campground";
  }

  public synchronized void setEndPoint(URL url)
  {
    this.url = url;
  }

  public synchronized URL getEndPoint()
  {
    return url;
  }

  public synchronized int computePrice(int meth1_inType1) throws SOAPException
  {
    if (url == null)
    {
      throw new SOAPException(Constants.FAULT_CODE_CLIENT,
      "A URL must be specified via " +
      "CampgroundProxy.setEndPoint(URL).");
    }

    call.setMethodName("computePrice");
    Vector params = new Vector();
    Parameter meth1_inType1Param = new Parameter("meth1_inType1", int.class,
      new Integer(meth1_inType1), null);
    params.addElement(meth1_inType1Param);
    call.setParams(params);
    Response resp = call.invoke(url, SOAPActionURI);

    // Check the response.
    if (resp.generatedFault())
    {
      Fault fault = resp.getFault();

      throw new SOAPException(fault.getFaultCode(), fault.getFaultString());
    }
    else
    {
      Parameter retValue = resp.getReturnValue();
      return ((Integer)retValue.getValue()).intValue();
    }
  }

  public synchronized com.organizedCampgrounds.Campsite getCampsite
    (int meth2_inType1) throws SOAPException
  {
    if (url == null)
    {
      throw new SOAPException(Constants.FAULT_CODE_CLIENT,
      "A URL must be specified via " +
      "CampgroundProxy.setEndPoint(URL).");
    }

    call.setMethodName("getCampsite");
    Vector params = new Vector();
    Parameter meth2_inType1Param = new Parameter("meth2_inType1", int.class,
      new Integer(meth2_inType1), null);
    params.addElement(meth2_inType1Param);
    call.setParams(params);
    Response resp = call.invoke(url, SOAPActionURI);

    // Check the response.
    if (resp.generatedFault())
    {
      Fault fault = resp.getFault();

      throw new SOAPException(fault.getFaultCode(), fault.getFaultString());
    }
    else
    {
      Parameter retValue = resp.getReturnValue();
      return (com.organizedCampgrounds.Campsite)retValue.getValue();
    }
  }

  public synchronized int getNumberOfCampsites() throws SOAPException
  {
    if (url == null)
    {
      throw new SOAPException(Constants.FAULT_CODE_CLIENT,
      "A URL must be specified via " +
      "CampgroundProxy.setEndPoint(URL).");
    }

    call.setMethodName("getNumberOfCampsites");
    Vector params = new Vector();
    call.setParams(params);
    Response resp = call.invoke(url, SOAPActionURI);

    // Check the response.
    if (resp.generatedFault())
    {
      Fault fault = resp.getFault();

      throw new SOAPException(fault.getFaultCode(), fault.getFaultString());
    }
    else
    {
      Parameter retValue = resp.getReturnValue();
      return ((Integer)retValue.getValue()).intValue();
    }
  }

  public synchronized boolean reserveCampsite(int meth4_inType1,
    int meth4_inType2, java.lang.String meth4_inType3) throws SOAPException
  {
    if (url == null)
    {
      throw new SOAPException(Constants.FAULT_CODE_CLIENT,
      "A URL must be specified via " +
      "CampgroundProxy.setEndPoint(URL).");
    }

    call.setMethodName("reserveCampsite");
    Vector params = new Vector();
    Parameter meth4_inType1Param = new Parameter("meth4_inType1", int.class,
      new Integer(meth4_inType1), null);
    params.addElement(meth4_inType1Param);
    Parameter meth4_inType2Param = new Parameter("meth4_inType2", int.class,
      new Integer(meth4_inType2), null);
    params.addElement(meth4_inType2Param);
    Parameter meth4_inType3Param = new Parameter("meth4_inType3",
      java.lang.String.class, meth4_inType3, null);
    params.addElement(meth4_inType3Param);
    call.setParams(params);
    Response resp = call.invoke(url, SOAPActionURI);

    // Check the response.
    if (resp.generatedFault())
    {
      Fault fault = resp.getFault();

      throw new SOAPException(fault.getFaultCode(), fault.getFaultString());
    }
    else
    {
      Parameter retValue = resp.getReturnValue();
      return ((Boolean)retValue.getValue()).booleanValue();
    }
  }

  {
    org.apache.soap.encoding.soapenc.BeanSerializer ser_0 = new org.apache.soap.encoding.soapenc.BeanSerializer
      ();
    smr.mapTypes("http://schemas.xmlsoap.org/soap/encoding/", new QName(
      "http://proxy.organizedCampgrounds.com", "Campsite"),
      com.organizedCampgrounds.Campsite.class, ser_0, ser_0);
  }

}
