package com.palomarCampground;

import com.ibm.wstk.service.registry.ServiceRegistryProxy;
import com.ibm.wstk.service.definition.ServiceDefinition;
import com.ibm.wstk.service.definition.ServiceImplementation;
import com.ibm.wstk.service.definition.ServiceInterface;
import com.ibm.wstk.service.definition.soap.SOAPServiceDefinition;
import com.ibm.wstk.soap.SOAPServiceManagerProxy;
import com.ibm.wstk.service.util.CategoryList;
import com.ibm.wstk.uddi.TModelKeyTable;
import com.ibm.wstk.service.provider.ServiceProvider;

public class PalomarCampgroundRegister { 
    
    public static void main(String[] args) throws Exception {

     /**
      * Set up a proxy to use to communicate with the UDDI service.
      */
        ServiceRegistryProxy srp = new ServiceRegistryProxy();
        String soapRouterURL = args[3];
        SOAPServiceManagerProxy ssmp = 
            new SOAPServiceManagerProxy(soapRouterURL);
        
     /**
      * Specify the category for the service. As a campground,
      * it fits under category 90.
      */
        CategoryList categoryList = new CategoryList();
        categoryList.addCategory(TModelKeyTable.UNSPSC_TMODEL_KEY, 
                                 "Travel, Food, Lodging and Entertainment Services","90");       
        
     /* 
      * For test purposes, find the existing Service Provider, BorregoCampground,
      * instead of creating a new one.
      */
        ServiceProvider[] serviceProviders = 
            srp.findServiceProviders("BorregoCampground", true);
        ServiceProvider serviceProvider = serviceProviders[0];
        System.out.println("\tProvider Business Key: " + 
                           serviceProvider.getBusinessKey());
       

     /**
      * Register the Service Implementation, which indicates specifically
      * how to contact the Palomar Campground web service.
      */
        String implementationWSDL = args[1];
        String deploymentDescriptor = args[2];
        SOAPServiceDefinition ssd = 
            new SOAPServiceDefinition(implementationWSDL, 
                                      categoryList, 
                                      deploymentDescriptor,
                                      soapRouterURL);
        ServiceDefinition sd = srp.publish(serviceProvider, ssd);
        System.out.println("\tImplementation Service Key: " + 
                           sd.getServiceImplementation().getServiceKey());
        
      

    }
}