@echo off
rem
rem Service Proxy Generator Tool
rem
if "%OS%" == "Windows_NT" setlocal

rem Check if WSTK_HOME is set
if not "%WSTK_HOME%" == "" goto start
echo ERROR: WSTK_HOME must be set to the Web Services Toolkit home directory.
goto end

:start    
rem Check for input options
if "%1" == "" goto usage
if "%1" == "-?" goto usage

rem Get WSDL document name
set WSDL_DOC=%1
 
goto setcp
                          
:usage
echo.
echo proxygen [wsdl_document]
echo.
echo   Purpose:
echo.
echo     Generate a service proxy from a WSDL document.  This service proxy can 
echo     be used by a service requestor to invoke a service.
echo.

goto end          

:setcp
rem Set classpath
call %WSTK_HOME%\bin\wstkenv

rem Update classpath
set WSTK_CP=%WSTK_CP%;%WSTK_HOME%\wsdl-toolkit\lib\wsdl.jar
set WSTK_CP=%WSTK_CP%;%JAVA_HOME%\lib\tools.jar

:run                              
rem run program
"%JAVA_CMD%" -cp "%WSTK_CP%" com.ibm.wsdl.Main -in %WSDL_DOC% -override on -package com.organizedCampgrounds.proxy

:end
if "%OS%" == "Windows_NT" endlocal
