import java.net.*; 
import java.util.*; 
import org.apache.soap.*; 
import org.apache.soap.rpc.*;
import org.apache.soap.transport.*;

public class FTPClient 
{ 
	public static void main( String[] args ) throws Exception 
    { 
		URL url;
		Call call;
		Vector params;
		
		String urn = "urn:apachedemo:count"; 

		call = new Call();
		call.setTargetObjectURI (urn); 
		call.setMethodName ("countString"); 
		call.setEncodingStyleURI (Constants.NS_URI_SOAP_ENC); 
		
		url = new URL ("ftp://ftp.trcs.com");

		String ftpServer = "ftp.trcs.com";
		String ftpLogin = "trcs";
		String ftpPassword = "frodo1";
		
		SOAPTransport ftpTransport = 
				new SOAPFTPConnection (ftpServer,
								   30000,
								   ftpLogin,
								   ftpPassword);
																							  
		call.setSOAPTransport (ftpTransport);
		
		params = new Vector(); 
		params.addElement (new Parameter ("inputString", String.class, "StringToCount", null)); 
		
		call.setParams (params); 

		try 
		{ 
			System.out.println ("invoke service\n" + "  URL= " + url + 
								"\n  URN =" + urn); 
			Response response = call.invoke (url, urn); // invoke the service 
			System.err.println ("call.invoke returns");
			if (!response.generatedFault()) 
			{ 
				Parameter result = response.getReturnValue (); // response was OK 
				System.out.println ("Result= " + result.getValue ()); 
				System.out.println (result);
			} 
			else 
			{ 
				Fault f = response.getFault (); // an error occurred 
				System.err.println ("Fault= " + f.getFaultCode () + ", " + 
									f.getFaultString ()); 
			} 
		} 
		catch (SOAPException e) // call could not be sent properly 
		{ 
			System.err.println ("SOAPException= " + e.getFaultCode () + ", " +  
								e.getMessage ()); 
		} 
	} 
} 
