// Make sure we have access to all the classes we need.

import java.net.*;
import java.io.*;

public class PostExample
{
	public static void main (String[] args) throws MalformedURLException, IOException
	{
		URL destinationAddress;
		HttpURLConnection connection;
		DataOutputStream postStream;
		DataInputStream dataStream;
		int stringLength;
		
		// Set up the server address. Note this must contain the
		// URL of the CGI script that will process the request.
		// Note this will not work! You must change the URL to 
		// one that works!
		
		destinationAddress = new URL ("http://localhost/Wrox/Post/PostCGI.exe");
		
		connection = (HttpURLConnection) destinationAddress.openConnection ();
		
		// We are doing a POST request.
		connection.setRequestMethod ("POST");
		
		// We must set the Content-Type of the data.
		connection.setRequestProperty ("Content-Type", "text/plain");
		
		// We will be doing input as well as output.
		connection.setDoInput (true);
		connection.setDoOutput (true);
		
		// Let's make sure we are connected. 
		connection.connect ();
		
		// Write out the body of the Post request.
		postStream = new DataOutputStream (connection.getOutputStream ());
		postStream.writeBytes ("String to Count");
		
		// Now that we are done, make sure that all buffering is
		// flushed and we clean up by closing the stream.
		postStream.flush ();
		postStream.close ();
		
		// Read an integer on the inputstream that represents the
		// number of characters sent.
		dataStream = new DataInputStream (connection.getInputStream ());
		
		System.out.println (new Integer (dataStream.readLine()));
		
		// Clean up.
		dataStream.close();
	}
}
