/*
 * FilesystemClient.java
 */

package com.markrichman.filesystem;

import java.io.*;
import java.net.*;
import java.util.*;
import org.apache.soap.util.xml.*;
import org.apache.soap.*;
import org.apache.soap.rpc.*;

/**
 * Tests Filesystem webservice
 *
 * @author Mark A. Richman 
 * @version 1.0
 */
public class FilesystemClient {

	public static void main (String[] args) {
		try {
			FilesystemProxy fs = new FilesystemProxy();
			fs.setUsername("markr");
			fs.setPassword("Jsdh8qSD");

			if(fs.exists("a.gif"))
            	return;
			fs.createNewFile("a.gif", new File("c:/a.gif"));
			System.out.println("Last Modified: " + fs.lastModified("a.gif"));
			fs.setLastModified("a.gif", 153055769);
			System.out.println("New Last Modified: " + fs.lastModified("a.gif"));
			System.out.println(fs.length("a.gif"));
			fs.copyTo("a.gif", "xa.gif");
			fs.delete("a.gif");
            
            System.out.println("Getting file gotxa.gif");
            fs.getFile("xa.gif", "gotxa.gif");
			fs.delete("xa.gif");
		}
		catch(Exception e) {
			System.err.println(e.getMessage());
		}
	}

}

