VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "FaultyConnector"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
' FaultyConnector
'
' Custom SoapConnector that always returns a Fault
'

Option Explicit

' SoapConnector interface
Implements SoapConnector

' DOMDocuments serve as our input and output streams
Private m_xmlIn As MSXML2.DOMDocument
Private m_xmlOut As MSXML2.DOMDocument

Private m_strFaultCode As String
Private m_strFaultString As String
Private m_strFaultActor As String
Private m_xmlDetail As MSXML2.IXMLDOMNodeList

Private Sub Class_Initialize()
    
    SoapConnector_reset

End Sub

Private Sub SoapConnector_BeginMessage()
    
    SoapConnector_BeginMessageWSDL Nothing
    
End Sub

Private Sub SoapConnector_BeginMessageWSDL(ByVal pOperation As MSSOAPLib.IWSDLOperation)

    'No op

End Sub

Private Sub SoapConnector_Connect()

    SoapConnector_ConnectWSDL Nothing
    
End Sub

Private Sub SoapConnector_ConnectWSDL(ByVal pPort As MSSOAPLib.IWSDLPort)

    ' No op
    
End Sub

Private Sub SoapConnector_EndMessage()
    
    'We always write a Fault
    Dim soapOut As New SoapSerializer
    
    soapOut.Init m_xmlOut
    
    soapOut.startEnvelope
    soapOut.startBody
    
    soapOut.startFault m_strFaultCode, m_strFaultString, m_strFaultActor
    soapOut.startFaultDetail
    If Not m_xmlDetail Is Nothing Then
        Dim n As IXMLDOMNode
        For Each n In m_xmlDetail
            soapOut.startElement n.baseName, n.namespaceURI
            soapOut.writeString n.xml
            soapOut.endElement
        Next n
    End If
    soapOut.endFaultDetail
    soapOut.endFault
    
    soapOut.endBody
    soapOut.endEnvelope

End Sub

Private Property Get SoapConnector_InputStream() As MSSOAPLib.IStream
    
    Set SoapConnector_InputStream = m_xmlIn

End Property

Private Property Get SoapConnector_OutputStream() As MSSOAPLib.IStream
    
    Set SoapConnector_OutputStream = m_xmlOut

End Property

Private Property Let SoapConnector_Property(ByVal pPropertyName As String, ByVal RHS As Variant)

    Select Case pPropertyName
    
        Case "faultcode"
            m_strFaultCode = RHS
            
        Case "faultstring"
            m_strFaultString = RHS
        
        Case "faultactor"
            m_strFaultActor = RHS
        
        Case "detail"
            Set m_xmlDetail = RHS
        
        Case Else
            Err.Description = "Invalid property name"
            Err.Raise 1000
            
    End Select
    Exit Property
        
End Property

Private Property Get SoapConnector_Property(ByVal pPropertyName As String) As Variant

    Select Case pPropertyName
    
        Case "faultcode"
            SoapConnector_Property = m_strFaultCode
            
        Case "faultstring"
            SoapConnector_Property = m_strFaultString
        
        Case "faultactor"
            SoapConnector_Property = m_strFaultActor
        
        Case "detail"
            SoapConnector_Property = CVar(m_xmlDetail)
        
        Case Else
            Err.Description = "Invalid property name"
            Err.Raise 1000
            
    End Select
    Exit Property
        
End Property

Private Sub SoapConnector_reset()

    Set m_xmlIn = New DOMDocument
    Set m_xmlOut = New DOMDocument

    m_strFaultCode = "Server"
    m_strFaultString = "Automatic Fault"
    m_strFaultActor = "uri:FaultyConnector"
    Set m_xmlDetail = Nothing
    
End Sub
