VERSION 5.00
Begin VB.Form frmSysInfo 
   Caption         =   "SOAP High Level Client - SysInfo"
   ClientHeight    =   2340
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7095
   Icon            =   "frmSysInfo.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   2340
   ScaleWidth      =   7095
   StartUpPosition =   3  'Windows Default
   Begin VB.OptionButton optHTTP 
      Caption         =   "Use HTTP Connector"
      Height          =   255
      Left            =   480
      TabIndex        =   11
      Top             =   1920
      Width           =   2295
   End
   Begin VB.OptionButton optFaulty 
      Caption         =   "Use Custom Faulty Connector"
      Height          =   255
      Left            =   3720
      TabIndex        =   10
      Top             =   1920
      Width           =   2775
   End
   Begin VB.CommandButton cmdLowLevel 
      Caption         =   "Low Level"
      Height          =   375
      Left            =   5640
      TabIndex        =   9
      Top             =   720
      Width           =   1335
   End
   Begin VB.TextBox txtProcCount 
      Height          =   285
      Left            =   1320
      TabIndex        =   8
      Top             =   1320
      Width           =   3975
   End
   Begin VB.TextBox txtOS 
      Height          =   285
      Left            =   1320
      TabIndex        =   6
      Top             =   960
      Width           =   3975
   End
   Begin VB.TextBox txtName 
      Height          =   285
      Left            =   1320
      TabIndex        =   4
      Top             =   600
      Width           =   3975
   End
   Begin VB.TextBox txtEndpoint 
      Height          =   285
      Left            =   1320
      TabIndex        =   2
      Text            =   "http://localhost/mstk2/high/sysinfo/SystemInfoService.wsdl"
      Top             =   120
      Width           =   3975
   End
   Begin VB.CommandButton cmdSysInfo 
      Caption         =   "High Level"
      Height          =   375
      Left            =   5640
      TabIndex        =   0
      Top             =   120
      Width           =   1335
   End
   Begin VB.Label lblProcCount 
      Caption         =   "Processors:"
      Height          =   255
      Left            =   120
      TabIndex        =   7
      Top             =   1320
      Width           =   1095
   End
   Begin VB.Label lblOS 
      Caption         =   "OS Version:"
      Height          =   255
      Left            =   120
      TabIndex        =   5
      Top             =   960
      Width           =   1095
   End
   Begin VB.Label lblName 
      Caption         =   "System Name:"
      Height          =   255
      Left            =   120
      TabIndex        =   3
      Top             =   600
      Width           =   1095
   End
   Begin VB.Label lblEndpoint 
      Caption         =   "Endpoint:"
      Height          =   255
      Left            =   360
      TabIndex        =   1
      Top             =   120
      Width           =   735
   End
End
Attribute VB_Name = "frmSysInfo"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' SysInfo Client Application

Private m_client As SoapClient
Private m_connHTTP As HttpConnector
Private m_connFaulty As FaultyConnector

Private Sub cmdLowLevel_Click()
    
    GetOSWithLowLevelAPI
    
    GetSystemNameWithLowLevelAPI
    
    GetProcessorCountWithLowLevelAPI

End Sub

Private Sub Form_Load()
        
    Set m_connHTTP = New HttpConnector
    
    Set m_connFaulty = New FaultyConnector
    
    optHTTP = True
            
End Sub

Private Sub cmdSysInfo_Click()

    Set m_client = New SoapClient
    
    m_client.mssoapinit txtEndpoint.Text
    
    ' Some possible URLs for the WSDL
    'm_client.mssoapinit "http://localhost/mstk2/high/sysinfo/SystemInfoService.wsdl"
    'm_client.mssoapinit "http://localhost/mstk2/low/sysinfo/SystemInfoService.wsdl"
    'm_client.mssoapinit "c:\projects\book\webservices\web\mstk2\high\sysinfo\SystemInfoService.wsdl"
    'm_client.mssoapinit "file://c:\projects\book\webservices\web\mstk2\high\sysinfo\SystemInfoService.wsdl"
    'm_client.mssoapinit "ftp://localhost/sysinfo/SystemInfoService.wsdl"
    
    txtName.Text = m_client.GetSystemName()
    txtName.BackColor = RGB(0, 128, 0)
    
    txtOS.Text = m_client.GetOS()
    txtOS.BackColor = RGB(0, 128, 0)
    
    txtProcCount = m_client.GetNumberOfProcessors()
    txtProcCount.BackColor = RGB(0, 128, 0)
    
    Set m_client = Nothing
    
End Sub

Private Sub GetOSWithLowLevelAPI()
On Error GoTo OSErr

    ' Reader and writer
    Dim soapIn As New SoapReader
    Dim soapout As New SoapSerializer
    
    ' Connector, in this case, HTTP
    Dim conn As SoapConnector
    
    If (optHTTP.Value = True) Then
    
        Set conn = m_connHTTP
        
        ' Tell it where it needs to go
        conn.Property("EndPointURL") = txtEndpoint.Text
        
        ' We know the SoapAction from the WSDL file
        conn.Property("SoapAction") = "http://tempuri.org/action/SystemInfoService.GetOS"
    
    Else
    
        Set conn = m_connFaulty
                  
        conn.Property("faultcode") = "Server.Lame"
        conn.Property("faultstring") = "Oh my"
        conn.Property("faultactor") = "right hyah"
    
    End If
    
        ' Initialize the writer
    Dim o As IStream
    Set o = conn.InputStream
    
    soapout.Init o
    
    conn.BeginMessage
    
    soapout.startEnvelope
    soapout.startBody
    
    ' Payload, the code differs here for each method
    soapout.startElement "GetOS", "http://tempuri.org/message/"
    soapout.endElement
    
    soapout.endBody
    soapout.endEnvelope
   
    conn.EndMessage
    
    ' Load the response into the reader
    soapIn.Load conn.OutputStream
    
    ' If there is no Fault, get the OS value
    If soapIn.Fault Is Nothing Then
        
        ' The return value is in RPCResult.Text
        txtOS.Text = soapIn.RPCResult.Text
        
        ' Make it red to show the low level API did it
        txtOS.BackColor = RGB(255, 0, 0)
    
    Else
        
        ' If we get a Fault, let's see it
        MsgBox soapIn.Fault.xml
    
    End If
    
    Exit Sub
    
OSErr:
    MsgBox Err.Description
    Exit Sub

End Sub

Private Sub GetSystemNameWithLowLevelAPI()
On Error GoTo NameErr

    ' Reader and writer
    Dim soapIn As New SoapReader
    Dim soapout As New SoapSerializer
    
    ' Connector, in this case, HTTP
    Dim conn As SoapConnector
    
    If (optHTTP.Value = True) Then
    
        Set conn = m_connHTTP
        
        ' Tell it where it needs to go
        conn.Property("EndPointURL") = txtEndpoint.Text
        
        ' We know the SoapAction from the WSDL file
        conn.Property("SoapAction") = "http://tempuri.org/action/SystemInfoService.GetSystemName"
    
    Else
    
        Set conn = m_connFaulty
                  
        conn.Property("faultcode") = "Server.Lame"
        conn.Property("faultstring") = "GetSystemName failed"
        conn.Property("faultactor") = "Chevy Chase"
    
    End If
    
        ' Initialize the writer
    Dim o As IStream
    Set o = conn.InputStream
    
    soapout.Init o
    
    conn.BeginMessage
    
    soapout.startEnvelope
    soapout.startBody
    
    ' Payload, the code differs here for each method
    soapout.startElement "GetSystemName", "http://tempuri.org/message/"
    soapout.endElement
    
    soapout.endBody
    soapout.endEnvelope
   
    conn.EndMessage
    
    ' Load the response into the reader
    soapIn.Load conn.OutputStream
    
    ' If there is no Fault, get the Name value
    If soapIn.Fault Is Nothing Then
        
        ' The return value is in RPCResult.Text
        txtName.Text = soapIn.RPCResult.Text
        
        ' Make it red to show the low level API did it
        txtName.BackColor = RGB(255, 0, 0)
    
    Else
        
        ' If we get a Fault, let's see it
        MsgBox soapIn.Fault.xml
    
    End If
    
    Exit Sub
    
NameErr:
    MsgBox Err.Description
    Exit Sub

End Sub

Private Sub GetProcessorCountWithLowLevelAPI()
On Error GoTo ProcErr

    ' Reader and writer
    Dim soapIn As New SoapReader
    Dim soapout As New SoapSerializer
    
    ' Connector, in this case, HTTP
    Dim conn As SoapConnector
    
    If (optHTTP.Value = True) Then
    
        Set conn = m_connHTTP
        
        ' Tell it where it needs to go
        conn.Property("EndPointURL") = txtEndpoint.Text
        
        ' We know the SoapAction from the WSDL file
        conn.Property("SoapAction") = "http://tempuri.org/action/SystemInfoService.GetNumberOfProcessors"
    
    Else
    
        Set conn = m_connFaulty
                  
        conn.Property("faultcode") = "Server.Lame"
        conn.Property("faultstring") = "Divide by zero error"
        conn.Property("faultactor") = "Elsewhere"
    
    End If
    
        ' Initialize the writer
    Dim o As IStream
    Set o = conn.InputStream
    
    soapout.Init o
    
    conn.BeginMessage
    
    soapout.startEnvelope
    soapout.startBody
    
    ' Payload, the code differs here for each method
    soapout.startElement "GetNumberOfProcessors", "http://tempuri.org/message/"
    soapout.endElement
    
    soapout.endBody
    soapout.endEnvelope
   
    conn.EndMessage
    
    ' Load the response into the reader
    soapIn.Load conn.OutputStream
    
    ' If there is no Fault, get the number of processors
    If soapIn.Fault Is Nothing Then
        
        ' The return value is in RPCResult.Text
        txtProcCount.Text = soapIn.RPCResult.Text
        
        ' Make it red to show the low level API did it
        txtProcCount.BackColor = RGB(255, 0, 0)
    
    Else
        
        ' If we get a Fault, let's see it
        MsgBox soapIn.Fault.xml
    
    End If
    
    Exit Sub
    
ProcErr:
    MsgBox Err.Description
    Exit Sub

End Sub


